Index: base/checks.c
===================================================================
RCS file: /cvsroot/nagios/nagios/base/checks.c,v
retrieving revision 1.164
diff -U3 -r1.164 checks.c
--- base/checks.c	23 Jun 2008 21:33:00 -0000	1.164
+++ base/checks.c	13 Sep 2008 13:44:30 -0000
@@ -279,22 +279,12 @@
 			/* make sure we rescheduled the next service check at a valid time */
 			get_next_valid_time(preferred_time,&next_valid_time,svc->check_period_ptr);
 
-			/* the service could not be rescheduled properly - set the next check time for next year, but don't actually reschedule it */
-			if(time_is_valid==FALSE && next_valid_time==preferred_time){
-
-				svc->next_check=(time_t)(next_valid_time+(60*60*24*365));
-				svc->should_be_scheduled=FALSE;
-
-				log_debug_info(DEBUGL_CHECKS,1,"Unable to find any valid times to reschedule the next service check!\n");
-		                }
+			/* this service is rescheduled at the next valid time */
+			/* changed on 2008-09-13, see discussion 'Check becomes unplanned' in nagios-devel */
+			svc->next_check=next_valid_time;
+			svc->should_be_scheduled=TRUE;
 
-			/* this service could be rescheduled... */
-			else{
-				svc->next_check=next_valid_time;
-				svc->should_be_scheduled=TRUE;
-
-				log_debug_info(DEBUGL_CHECKS,1,"Rescheduled next service check for %s",ctime(&next_valid_time));
-			        }
+			log_debug_info(DEBUGL_CHECKS,1,"Rescheduled next service check for %s",ctime(&next_valid_time));
 		        }
 
 		/* reschedule the next service check - unless we couldn't find a valid next check time */
